import {bootstrapApplication} from '@angular/platform-browser';
import {provideRouter} from '@angular/router';
import {provideHttpClient, withInterceptors} from '@angular/common/http';
import {importProvidersFrom} from '@angular/core';
import {ReactiveFormsModule} from '@angular/forms';

import {App} from './app/app';
import {routes} from './app/app.routes';
import {authInterceptor} from './app/auth-interceptor';

bootstrapApplication(App, {
  providers: [
    provideRouter(routes),
    provideHttpClient(withInterceptors([
      authInterceptor
    ])),
    importProvidersFrom(ReactiveFormsModule),
  ]
}).catch(err => console.error(err));
